# Открояване на фокуса (Focus Highlight) #

* Автори: Takuya Nishimoto
* Изтегляне на [стабилна версия][2]
* Изтегляне на [тестова версия][1]

Тази добавка начертава цветен правоъгълник на екрана, позволявайки на
слабовиждащи потребители на NVDA, зрящи преподаватели или разработчици да
проследяват местоположението на навигационния обект на NVDA или обекта на
фокус.

Добавката използва следните цветове:

* Правоъгълник от тънка зелена линия от тирета и точки указва, че NVDA е в
  режим на разглеждане и това е и навигационния обект.
* тънък червен правоъгълник указва, че NVDA е в режим на разглеждане и това
  е и обекта или контролата на фокус.
* Плътен червен правоъгълник указва, че NVDA е в режим на разглеждане и това
  е ситуацията, в която обектът на фокус и навигационният обект съвпадат.
* Правоъгълник от дебела синя линия от точки (пунктирана) за указване че
  NVDA е в режим на фокус (т.е. въвежданите клавиши се предават директно на
  фокусираната контрола).

За да изключите проследяването на обектите, премахнете или забранете
добавката.

Когато е налична категорията "Открояване на фокуса" в прозореца с
настройките на NVDA, можете да използвате следните елементи.

* Режимът на фокус да е зададен по подразбиране: В това поле за отметка по
  подразбиране има отметка. Когато няма отметка, поведението на добавката е
  същото като във версия 5.6 или по-старите версии (т.е. ако режимът на
  преглед не е достъпен за дадено приложение, фокусът се показва с помощта
  на дебел червен правоъгълник).
* Фокусиране в режим на фокус, фокусиране в режим на преглед, навигационен
  обект: Всяка от тези групи съдържа настройки за цвят, дебелина и стил.

    * Цвят: Това текстово поле ви позволява да въведете HTML кода на
      цветовете, т.е. шест знаков шестнадесетичен номер. Например, "ffffff"
      е бяло, "ff0000" е червено и т.н. Имайте предвид, че "000000" не може
      да се използва.
    * Дебелина: Това поле за редактиране ви позволява да въведете дебелината
      на правоъгълника. Можете да въведете стойност между 1 и 30.
    * Стил: Можете да избирате между плътен, тирета, точки, тирета точки и
      тирета точки-точки.

* Възстановяване на настройките по подразбиране: Този бутон ви позволява да
  зададете отново настройките по подразбиране.

## Промени във версия 6.1 ##

* Нови и обновени преводи.
* Адресира [проблема](https://github.com/nvdajp/focusHighlight/issues/14) с
  най-новите тестови версии на NVDA.
* В настройките на NVDA вече е налична категорията "Открояване на
  фокуса". Имайте предвид, че това сработва само в NVDA 2018.3 или по-нови.
* [Дискусии относно персонализирането на
  цветовете](https://github.com/nvdajp/focusHighlight/issues/3)
* [Дискусии относно задаването на режима на фокус като такъв по
  подразбиране](https://github.com/nvdajp/focusHighlight/issues/13)

## Промени във версия 6.0 ##

* Нови и обновени преводи.
* Адресира [проблема](https://github.com/nvdajp/focusHighlight/issues/13)
  относно режима на разглеждане.
* От тази версия, ако режимът на разглеждане на NVDA не е налице за текущото
  приложение, винаги се показва, че NVDA е в режим на фокус за приложението,
  вместо да се използва червения дебел правоъгълник.
* Дебелината на линията, която указва режима на фокус, е намалена
  наполовина.

## Промени във версия 5.6 ##

* Нови и обновени преводи.
* Отстранена е несъвместимостта с версия alpha-16682 на NVDA.

## Промени във версия 5.5 ##

* Адресира проблема с NVDA 2018.4 и уеб браузърите Firefox и Chrome.

## Промени във версия 5.4 ##

* Нови и обновени преводи.
* Адресира [проблема](https://github.com/nvdajp/focusHighlight/issues/11)
  относно съвместимостта с по-нови версии.

## Промени във версия 5.3 ##

* Нови и обновени преводи.
* Адресира [проблема](https://github.com/nvdajp/focusHighlight/issues/10)
  относно браузъра Chrome и режима на заспиване в приложението.

## Промени във версия 5.2 ##

* Нови и обновени преводи.

## Промени във версия 5.1 ##

* Премахнато е извеждането в протокол на информацията за отстраняване на
  грешки.

## Промени във версия 5.0 ##

* Указателите за навигационния обект и режима на фокус са променени.
* Поддръжка за изход към няколко монитора.
* Вече за изобразяване се използва технологията GDI Plus.

## Промени във версия 4.0 ##

* Правоъгълникът ще бъде скриван, ако NVDA е в спящ режим за текущо
  фокусираното приложение.

## Промени във версия 3.0 ##

* Отстранен е проблем, свързан с разгънати падащи списъци.
* Поправен проблем с диспечера на задачите в Windows.
* Възможност да се показва, че NVDA е в режим на фокус.

## Промени във версия 2.1 ##

* Нови и обновени преводи.

## Промени във версия 2.0 ##

* Помощта за добавката е достъпна от мениджъра на добавките.

## Промени във версия 1.1 ##

* Правоъгълникът, обозначаващ навигационния обект, е променен на зелена
  назъбена линия.
* Поправен проблем с командата 'Презареди добавките'.

## Промени във версия 1.0 ##

* Отстранен е проблем с навигационния обект в Internet Explorer 10 и в Skype
  под Windows 8.
* Първоначално издание


[[!tag dev stable]]

[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=fh-dev

[2]: https://addons.nvda-project.org/files/get.php?file=fh
